IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/84
Addresses2^44
/64 networksPart of one
- Network
2001:db8::5:1000:0:0/84- First address
2001:db8::5:1000:0:0- Last address
2001:db8::5:1fff:ffff:ffff- Addresses
- 17,592,186,044,416 (2^44)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0005:1000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.5.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::5:1000:0:0/84 makes 4,096 subnets of /96; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::5:1000:0:0/96 | 2001:db8::5:1000:ffff:ffff |
| 2 | 2001:db8::5:1001:0:0/96 | 2001:db8::5:1001:ffff:ffff |
| 3 | 2001:db8::5:1002:0:0/96 | 2001:db8::5:1002:ffff:ffff |
| 4 | 2001:db8::5:1003:0:0/96 | 2001:db8::5:1003:ffff:ffff |
| 5 | 2001:db8::5:1004:0:0/96 | 2001:db8::5:1004:ffff:ffff |
| 6 | 2001:db8::5:1005:0:0/96 | 2001:db8::5:1005:ffff:ffff |
| 7 | 2001:db8::5:1006:0:0/96 | 2001:db8::5:1006:ffff:ffff |
| 8 | 2001:db8::5:1007:0:0/96 | 2001:db8::5:1007:ffff:ffff |
| 9 | 2001:db8::5:1008:0:0/96 | 2001:db8::5:1008:ffff:ffff |
| 10 | 2001:db8::5:1009:0:0/96 | 2001:db8::5:1009:ffff:ffff |
| 11 | 2001:db8::5:100a:0:0/96 | 2001:db8::5:100a:ffff:ffff |
| 12 | 2001:db8::5:100b:0:0/96 | 2001:db8::5:100b:ffff:ffff |
| 13 | 2001:db8::5:100c:0:0/96 | 2001:db8::5:100c:ffff:ffff |
| 14 | 2001:db8::5:100d:0:0/96 | 2001:db8::5:100d:ffff:ffff |
| 15 | 2001:db8::5:100e:0:0/96 | 2001:db8::5:100e:ffff:ffff |
| 16 | 2001:db8::5:100f:0:0/96 | 2001:db8::5:100f:ffff:ffff |
| 17 | 2001:db8::5:1010:0:0/96 | 2001:db8::5:1010:ffff:ffff |
| 18 | 2001:db8::5:1011:0:0/96 | 2001:db8::5:1011:ffff:ffff |
| 19 | 2001:db8::5:1012:0:0/96 | 2001:db8::5:1012:ffff:ffff |
| 20 | 2001:db8::5:1013:0:0/96 | 2001:db8::5:1013:ffff:ffff |
| 21 | 2001:db8::5:1014:0:0/96 | 2001:db8::5:1014:ffff:ffff |
| 22 | 2001:db8::5:1015:0:0/96 | 2001:db8::5:1015:ffff:ffff |
| 23 | 2001:db8::5:1016:0:0/96 | 2001:db8::5:1016:ffff:ffff |
| 24 | 2001:db8::5:1017:0:0/96 | 2001:db8::5:1017:ffff:ffff |
| 25 | 2001:db8::5:1018:0:0/96 | 2001:db8::5:1018:ffff:ffff |
| 26 | 2001:db8::5:1019:0:0/96 | 2001:db8::5:1019:ffff:ffff |
| 27 | 2001:db8::5:101a:0:0/96 | 2001:db8::5:101a:ffff:ffff |
| 28 | 2001:db8::5:101b:0:0/96 | 2001:db8::5:101b:ffff:ffff |
| 29 | 2001:db8::5:101c:0:0/96 | 2001:db8::5:101c:ffff:ffff |
| 30 | 2001:db8::5:101d:0:0/96 | 2001:db8::5:101d:ffff:ffff |
| 31 | 2001:db8::5:101e:0:0/96 | 2001:db8::5:101e:ffff:ffff |
| 32 | 2001:db8::5:101f:0:0/96 | 2001:db8::5:101f:ffff:ffff |
| 33 | 2001:db8::5:1020:0:0/96 | 2001:db8::5:1020:ffff:ffff |
| 34 | 2001:db8::5:1021:0:0/96 | 2001:db8::5:1021:ffff:ffff |
| 35 | 2001:db8::5:1022:0:0/96 | 2001:db8::5:1022:ffff:ffff |
| 36 | 2001:db8::5:1023:0:0/96 | 2001:db8::5:1023:ffff:ffff |
| 37 | 2001:db8::5:1024:0:0/96 | 2001:db8::5:1024:ffff:ffff |
| 38 | 2001:db8::5:1025:0:0/96 | 2001:db8::5:1025:ffff:ffff |
| 39 | 2001:db8::5:1026:0:0/96 | 2001:db8::5:1026:ffff:ffff |
| 40 | 2001:db8::5:1027:0:0/96 | 2001:db8::5:1027:ffff:ffff |
| 41 | 2001:db8::5:1028:0:0/96 | 2001:db8::5:1028:ffff:ffff |
| 42 | 2001:db8::5:1029:0:0/96 | 2001:db8::5:1029:ffff:ffff |
| 43 | 2001:db8::5:102a:0:0/96 | 2001:db8::5:102a:ffff:ffff |
| 44 | 2001:db8::5:102b:0:0/96 | 2001:db8::5:102b:ffff:ffff |
| 45 | 2001:db8::5:102c:0:0/96 | 2001:db8::5:102c:ffff:ffff |
| 46 | 2001:db8::5:102d:0:0/96 | 2001:db8::5:102d:ffff:ffff |
| 47 | 2001:db8::5:102e:0:0/96 | 2001:db8::5:102e:ffff:ffff |
| 48 | 2001:db8::5:102f:0:0/96 | 2001:db8::5:102f:ffff:ffff |
| 49 | 2001:db8::5:1030:0:0/96 | 2001:db8::5:1030:ffff:ffff |
| 50 | 2001:db8::5:1031:0:0/96 | 2001:db8::5:1031:ffff:ffff |
| 51 | 2001:db8::5:1032:0:0/96 | 2001:db8::5:1032:ffff:ffff |
| 52 | 2001:db8::5:1033:0:0/96 | 2001:db8::5:1033:ffff:ffff |
| 53 | 2001:db8::5:1034:0:0/96 | 2001:db8::5:1034:ffff:ffff |
| 54 | 2001:db8::5:1035:0:0/96 | 2001:db8::5:1035:ffff:ffff |
| 55 | 2001:db8::5:1036:0:0/96 | 2001:db8::5:1036:ffff:ffff |
| 56 | 2001:db8::5:1037:0:0/96 | 2001:db8::5:1037:ffff:ffff |
| 57 | 2001:db8::5:1038:0:0/96 | 2001:db8::5:1038:ffff:ffff |
| 58 | 2001:db8::5:1039:0:0/96 | 2001:db8::5:1039:ffff:ffff |
| 59 | 2001:db8::5:103a:0:0/96 | 2001:db8::5:103a:ffff:ffff |
| 60 | 2001:db8::5:103b:0:0/96 | 2001:db8::5:103b:ffff:ffff |
| 61 | 2001:db8::5:103c:0:0/96 | 2001:db8::5:103c:ffff:ffff |
| 62 | 2001:db8::5:103d:0:0/96 | 2001:db8::5:103d:ffff:ffff |
| 63 | 2001:db8::5:103e:0:0/96 | 2001:db8::5:103e:ffff:ffff |
| 64 | 2001:db8::5:103f:0:0/96 | 2001:db8::5:103f:ffff:ffff |
| 65 | 2001:db8::5:1040:0:0/96 | 2001:db8::5:1040:ffff:ffff |
| 66 | 2001:db8::5:1041:0:0/96 | 2001:db8::5:1041:ffff:ffff |
| 67 | 2001:db8::5:1042:0:0/96 | 2001:db8::5:1042:ffff:ffff |
| 68 | 2001:db8::5:1043:0:0/96 | 2001:db8::5:1043:ffff:ffff |
| 69 | 2001:db8::5:1044:0:0/96 | 2001:db8::5:1044:ffff:ffff |
| 70 | 2001:db8::5:1045:0:0/96 | 2001:db8::5:1045:ffff:ffff |
| 71 | 2001:db8::5:1046:0:0/96 | 2001:db8::5:1046:ffff:ffff |
| 72 | 2001:db8::5:1047:0:0/96 | 2001:db8::5:1047:ffff:ffff |
| 73 | 2001:db8::5:1048:0:0/96 | 2001:db8::5:1048:ffff:ffff |
| 74 | 2001:db8::5:1049:0:0/96 | 2001:db8::5:1049:ffff:ffff |
| 75 | 2001:db8::5:104a:0:0/96 | 2001:db8::5:104a:ffff:ffff |
| 76 | 2001:db8::5:104b:0:0/96 | 2001:db8::5:104b:ffff:ffff |
| 77 | 2001:db8::5:104c:0:0/96 | 2001:db8::5:104c:ffff:ffff |
| 78 | 2001:db8::5:104d:0:0/96 | 2001:db8::5:104d:ffff:ffff |
| 79 | 2001:db8::5:104e:0:0/96 | 2001:db8::5:104e:ffff:ffff |
| 80 | 2001:db8::5:104f:0:0/96 | 2001:db8::5:104f:ffff:ffff |
| 81 | 2001:db8::5:1050:0:0/96 | 2001:db8::5:1050:ffff:ffff |
| 82 | 2001:db8::5:1051:0:0/96 | 2001:db8::5:1051:ffff:ffff |
| 83 | 2001:db8::5:1052:0:0/96 | 2001:db8::5:1052:ffff:ffff |
| 84 | 2001:db8::5:1053:0:0/96 | 2001:db8::5:1053:ffff:ffff |
| 85 | 2001:db8::5:1054:0:0/96 | 2001:db8::5:1054:ffff:ffff |
| 86 | 2001:db8::5:1055:0:0/96 | 2001:db8::5:1055:ffff:ffff |
| 87 | 2001:db8::5:1056:0:0/96 | 2001:db8::5:1056:ffff:ffff |
| 88 | 2001:db8::5:1057:0:0/96 | 2001:db8::5:1057:ffff:ffff |
| 89 | 2001:db8::5:1058:0:0/96 | 2001:db8::5:1058:ffff:ffff |
| 90 | 2001:db8::5:1059:0:0/96 | 2001:db8::5:1059:ffff:ffff |
| 91 | 2001:db8::5:105a:0:0/96 | 2001:db8::5:105a:ffff:ffff |
| 92 | 2001:db8::5:105b:0:0/96 | 2001:db8::5:105b:ffff:ffff |
| 93 | 2001:db8::5:105c:0:0/96 | 2001:db8::5:105c:ffff:ffff |
| 94 | 2001:db8::5:105d:0:0/96 | 2001:db8::5:105d:ffff:ffff |
| 95 | 2001:db8::5:105e:0:0/96 | 2001:db8::5:105e:ffff:ffff |
| 96 | 2001:db8::5:105f:0:0/96 | 2001:db8::5:105f:ffff:ffff |
| 97 | 2001:db8::5:1060:0:0/96 | 2001:db8::5:1060:ffff:ffff |
| 98 | 2001:db8::5:1061:0:0/96 | 2001:db8::5:1061:ffff:ffff |
| 99 | 2001:db8::5:1062:0:0/96 | 2001:db8::5:1062:ffff:ffff |
| 100 | 2001:db8::5:1063:0:0/96 | 2001:db8::5:1063:ffff:ffff |
| 101 | 2001:db8::5:1064:0:0/96 | 2001:db8::5:1064:ffff:ffff |
| 102 | 2001:db8::5:1065:0:0/96 | 2001:db8::5:1065:ffff:ffff |
| 103 | 2001:db8::5:1066:0:0/96 | 2001:db8::5:1066:ffff:ffff |
| 104 | 2001:db8::5:1067:0:0/96 | 2001:db8::5:1067:ffff:ffff |
| 105 | 2001:db8::5:1068:0:0/96 | 2001:db8::5:1068:ffff:ffff |
| 106 | 2001:db8::5:1069:0:0/96 | 2001:db8::5:1069:ffff:ffff |
| 107 | 2001:db8::5:106a:0:0/96 | 2001:db8::5:106a:ffff:ffff |
| 108 | 2001:db8::5:106b:0:0/96 | 2001:db8::5:106b:ffff:ffff |
| 109 | 2001:db8::5:106c:0:0/96 | 2001:db8::5:106c:ffff:ffff |
| 110 | 2001:db8::5:106d:0:0/96 | 2001:db8::5:106d:ffff:ffff |
| 111 | 2001:db8::5:106e:0:0/96 | 2001:db8::5:106e:ffff:ffff |
| 112 | 2001:db8::5:106f:0:0/96 | 2001:db8::5:106f:ffff:ffff |
| 113 | 2001:db8::5:1070:0:0/96 | 2001:db8::5:1070:ffff:ffff |
| 114 | 2001:db8::5:1071:0:0/96 | 2001:db8::5:1071:ffff:ffff |
| 115 | 2001:db8::5:1072:0:0/96 | 2001:db8::5:1072:ffff:ffff |
| 116 | 2001:db8::5:1073:0:0/96 | 2001:db8::5:1073:ffff:ffff |
| 117 | 2001:db8::5:1074:0:0/96 | 2001:db8::5:1074:ffff:ffff |
| 118 | 2001:db8::5:1075:0:0/96 | 2001:db8::5:1075:ffff:ffff |
| 119 | 2001:db8::5:1076:0:0/96 | 2001:db8::5:1076:ffff:ffff |
| 120 | 2001:db8::5:1077:0:0/96 | 2001:db8::5:1077:ffff:ffff |
| 121 | 2001:db8::5:1078:0:0/96 | 2001:db8::5:1078:ffff:ffff |
| 122 | 2001:db8::5:1079:0:0/96 | 2001:db8::5:1079:ffff:ffff |
| 123 | 2001:db8::5:107a:0:0/96 | 2001:db8::5:107a:ffff:ffff |
| 124 | 2001:db8::5:107b:0:0/96 | 2001:db8::5:107b:ffff:ffff |
| 125 | 2001:db8::5:107c:0:0/96 | 2001:db8::5:107c:ffff:ffff |
| 126 | 2001:db8::5:107d:0:0/96 | 2001:db8::5:107d:ffff:ffff |
| 127 | 2001:db8::5:107e:0:0/96 | 2001:db8::5:107e:ffff:ffff |
| 128 | 2001:db8::5:107f:0:0/96 | 2001:db8::5:107f:ffff:ffff |
| 129 | 2001:db8::5:1080:0:0/96 | 2001:db8::5:1080:ffff:ffff |
| 130 | 2001:db8::5:1081:0:0/96 | 2001:db8::5:1081:ffff:ffff |
| 131 | 2001:db8::5:1082:0:0/96 | 2001:db8::5:1082:ffff:ffff |
| 132 | 2001:db8::5:1083:0:0/96 | 2001:db8::5:1083:ffff:ffff |
| 133 | 2001:db8::5:1084:0:0/96 | 2001:db8::5:1084:ffff:ffff |
| 134 | 2001:db8::5:1085:0:0/96 | 2001:db8::5:1085:ffff:ffff |
| 135 | 2001:db8::5:1086:0:0/96 | 2001:db8::5:1086:ffff:ffff |
| 136 | 2001:db8::5:1087:0:0/96 | 2001:db8::5:1087:ffff:ffff |
| 137 | 2001:db8::5:1088:0:0/96 | 2001:db8::5:1088:ffff:ffff |
| 138 | 2001:db8::5:1089:0:0/96 | 2001:db8::5:1089:ffff:ffff |
| 139 | 2001:db8::5:108a:0:0/96 | 2001:db8::5:108a:ffff:ffff |
| 140 | 2001:db8::5:108b:0:0/96 | 2001:db8::5:108b:ffff:ffff |
| 141 | 2001:db8::5:108c:0:0/96 | 2001:db8::5:108c:ffff:ffff |
| 142 | 2001:db8::5:108d:0:0/96 | 2001:db8::5:108d:ffff:ffff |
| 143 | 2001:db8::5:108e:0:0/96 | 2001:db8::5:108e:ffff:ffff |
| 144 | 2001:db8::5:108f:0:0/96 | 2001:db8::5:108f:ffff:ffff |
| 145 | 2001:db8::5:1090:0:0/96 | 2001:db8::5:1090:ffff:ffff |
| 146 | 2001:db8::5:1091:0:0/96 | 2001:db8::5:1091:ffff:ffff |
| 147 | 2001:db8::5:1092:0:0/96 | 2001:db8::5:1092:ffff:ffff |
| 148 | 2001:db8::5:1093:0:0/96 | 2001:db8::5:1093:ffff:ffff |
| 149 | 2001:db8::5:1094:0:0/96 | 2001:db8::5:1094:ffff:ffff |
| 150 | 2001:db8::5:1095:0:0/96 | 2001:db8::5:1095:ffff:ffff |
| 151 | 2001:db8::5:1096:0:0/96 | 2001:db8::5:1096:ffff:ffff |
| 152 | 2001:db8::5:1097:0:0/96 | 2001:db8::5:1097:ffff:ffff |
| 153 | 2001:db8::5:1098:0:0/96 | 2001:db8::5:1098:ffff:ffff |
| 154 | 2001:db8::5:1099:0:0/96 | 2001:db8::5:1099:ffff:ffff |
| 155 | 2001:db8::5:109a:0:0/96 | 2001:db8::5:109a:ffff:ffff |
| 156 | 2001:db8::5:109b:0:0/96 | 2001:db8::5:109b:ffff:ffff |
| 157 | 2001:db8::5:109c:0:0/96 | 2001:db8::5:109c:ffff:ffff |
| 158 | 2001:db8::5:109d:0:0/96 | 2001:db8::5:109d:ffff:ffff |
| 159 | 2001:db8::5:109e:0:0/96 | 2001:db8::5:109e:ffff:ffff |
| 160 | 2001:db8::5:109f:0:0/96 | 2001:db8::5:109f:ffff:ffff |
| 161 | 2001:db8::5:10a0:0:0/96 | 2001:db8::5:10a0:ffff:ffff |
| 162 | 2001:db8::5:10a1:0:0/96 | 2001:db8::5:10a1:ffff:ffff |
| 163 | 2001:db8::5:10a2:0:0/96 | 2001:db8::5:10a2:ffff:ffff |
| 164 | 2001:db8::5:10a3:0:0/96 | 2001:db8::5:10a3:ffff:ffff |
| 165 | 2001:db8::5:10a4:0:0/96 | 2001:db8::5:10a4:ffff:ffff |
| 166 | 2001:db8::5:10a5:0:0/96 | 2001:db8::5:10a5:ffff:ffff |
| 167 | 2001:db8::5:10a6:0:0/96 | 2001:db8::5:10a6:ffff:ffff |
| 168 | 2001:db8::5:10a7:0:0/96 | 2001:db8::5:10a7:ffff:ffff |
| 169 | 2001:db8::5:10a8:0:0/96 | 2001:db8::5:10a8:ffff:ffff |
| 170 | 2001:db8::5:10a9:0:0/96 | 2001:db8::5:10a9:ffff:ffff |
| 171 | 2001:db8::5:10aa:0:0/96 | 2001:db8::5:10aa:ffff:ffff |
| 172 | 2001:db8::5:10ab:0:0/96 | 2001:db8::5:10ab:ffff:ffff |
| 173 | 2001:db8::5:10ac:0:0/96 | 2001:db8::5:10ac:ffff:ffff |
| 174 | 2001:db8::5:10ad:0:0/96 | 2001:db8::5:10ad:ffff:ffff |
| 175 | 2001:db8::5:10ae:0:0/96 | 2001:db8::5:10ae:ffff:ffff |
| 176 | 2001:db8::5:10af:0:0/96 | 2001:db8::5:10af:ffff:ffff |
| 177 | 2001:db8::5:10b0:0:0/96 | 2001:db8::5:10b0:ffff:ffff |
| 178 | 2001:db8::5:10b1:0:0/96 | 2001:db8::5:10b1:ffff:ffff |
| 179 | 2001:db8::5:10b2:0:0/96 | 2001:db8::5:10b2:ffff:ffff |
| 180 | 2001:db8::5:10b3:0:0/96 | 2001:db8::5:10b3:ffff:ffff |
| 181 | 2001:db8::5:10b4:0:0/96 | 2001:db8::5:10b4:ffff:ffff |
| 182 | 2001:db8::5:10b5:0:0/96 | 2001:db8::5:10b5:ffff:ffff |
| 183 | 2001:db8::5:10b6:0:0/96 | 2001:db8::5:10b6:ffff:ffff |
| 184 | 2001:db8::5:10b7:0:0/96 | 2001:db8::5:10b7:ffff:ffff |
| 185 | 2001:db8::5:10b8:0:0/96 | 2001:db8::5:10b8:ffff:ffff |
| 186 | 2001:db8::5:10b9:0:0/96 | 2001:db8::5:10b9:ffff:ffff |
| 187 | 2001:db8::5:10ba:0:0/96 | 2001:db8::5:10ba:ffff:ffff |
| 188 | 2001:db8::5:10bb:0:0/96 | 2001:db8::5:10bb:ffff:ffff |
| 189 | 2001:db8::5:10bc:0:0/96 | 2001:db8::5:10bc:ffff:ffff |
| 190 | 2001:db8::5:10bd:0:0/96 | 2001:db8::5:10bd:ffff:ffff |
| 191 | 2001:db8::5:10be:0:0/96 | 2001:db8::5:10be:ffff:ffff |
| 192 | 2001:db8::5:10bf:0:0/96 | 2001:db8::5:10bf:ffff:ffff |
| 193 | 2001:db8::5:10c0:0:0/96 | 2001:db8::5:10c0:ffff:ffff |
| 194 | 2001:db8::5:10c1:0:0/96 | 2001:db8::5:10c1:ffff:ffff |
| 195 | 2001:db8::5:10c2:0:0/96 | 2001:db8::5:10c2:ffff:ffff |
| 196 | 2001:db8::5:10c3:0:0/96 | 2001:db8::5:10c3:ffff:ffff |
| 197 | 2001:db8::5:10c4:0:0/96 | 2001:db8::5:10c4:ffff:ffff |
| 198 | 2001:db8::5:10c5:0:0/96 | 2001:db8::5:10c5:ffff:ffff |
| 199 | 2001:db8::5:10c6:0:0/96 | 2001:db8::5:10c6:ffff:ffff |
| 200 | 2001:db8::5:10c7:0:0/96 | 2001:db8::5:10c7:ffff:ffff |
| 201 | 2001:db8::5:10c8:0:0/96 | 2001:db8::5:10c8:ffff:ffff |
| 202 | 2001:db8::5:10c9:0:0/96 | 2001:db8::5:10c9:ffff:ffff |
| 203 | 2001:db8::5:10ca:0:0/96 | 2001:db8::5:10ca:ffff:ffff |
| 204 | 2001:db8::5:10cb:0:0/96 | 2001:db8::5:10cb:ffff:ffff |
| 205 | 2001:db8::5:10cc:0:0/96 | 2001:db8::5:10cc:ffff:ffff |
| 206 | 2001:db8::5:10cd:0:0/96 | 2001:db8::5:10cd:ffff:ffff |
| 207 | 2001:db8::5:10ce:0:0/96 | 2001:db8::5:10ce:ffff:ffff |
| 208 | 2001:db8::5:10cf:0:0/96 | 2001:db8::5:10cf:ffff:ffff |
| 209 | 2001:db8::5:10d0:0:0/96 | 2001:db8::5:10d0:ffff:ffff |
| 210 | 2001:db8::5:10d1:0:0/96 | 2001:db8::5:10d1:ffff:ffff |
| 211 | 2001:db8::5:10d2:0:0/96 | 2001:db8::5:10d2:ffff:ffff |
| 212 | 2001:db8::5:10d3:0:0/96 | 2001:db8::5:10d3:ffff:ffff |
| 213 | 2001:db8::5:10d4:0:0/96 | 2001:db8::5:10d4:ffff:ffff |
| 214 | 2001:db8::5:10d5:0:0/96 | 2001:db8::5:10d5:ffff:ffff |
| 215 | 2001:db8::5:10d6:0:0/96 | 2001:db8::5:10d6:ffff:ffff |
| 216 | 2001:db8::5:10d7:0:0/96 | 2001:db8::5:10d7:ffff:ffff |
| 217 | 2001:db8::5:10d8:0:0/96 | 2001:db8::5:10d8:ffff:ffff |
| 218 | 2001:db8::5:10d9:0:0/96 | 2001:db8::5:10d9:ffff:ffff |
| 219 | 2001:db8::5:10da:0:0/96 | 2001:db8::5:10da:ffff:ffff |
| 220 | 2001:db8::5:10db:0:0/96 | 2001:db8::5:10db:ffff:ffff |
| 221 | 2001:db8::5:10dc:0:0/96 | 2001:db8::5:10dc:ffff:ffff |
| 222 | 2001:db8::5:10dd:0:0/96 | 2001:db8::5:10dd:ffff:ffff |
| 223 | 2001:db8::5:10de:0:0/96 | 2001:db8::5:10de:ffff:ffff |
| 224 | 2001:db8::5:10df:0:0/96 | 2001:db8::5:10df:ffff:ffff |
| 225 | 2001:db8::5:10e0:0:0/96 | 2001:db8::5:10e0:ffff:ffff |
| 226 | 2001:db8::5:10e1:0:0/96 | 2001:db8::5:10e1:ffff:ffff |
| 227 | 2001:db8::5:10e2:0:0/96 | 2001:db8::5:10e2:ffff:ffff |
| 228 | 2001:db8::5:10e3:0:0/96 | 2001:db8::5:10e3:ffff:ffff |
| 229 | 2001:db8::5:10e4:0:0/96 | 2001:db8::5:10e4:ffff:ffff |
| 230 | 2001:db8::5:10e5:0:0/96 | 2001:db8::5:10e5:ffff:ffff |
| 231 | 2001:db8::5:10e6:0:0/96 | 2001:db8::5:10e6:ffff:ffff |
| 232 | 2001:db8::5:10e7:0:0/96 | 2001:db8::5:10e7:ffff:ffff |
| 233 | 2001:db8::5:10e8:0:0/96 | 2001:db8::5:10e8:ffff:ffff |
| 234 | 2001:db8::5:10e9:0:0/96 | 2001:db8::5:10e9:ffff:ffff |
| 235 | 2001:db8::5:10ea:0:0/96 | 2001:db8::5:10ea:ffff:ffff |
| 236 | 2001:db8::5:10eb:0:0/96 | 2001:db8::5:10eb:ffff:ffff |
| 237 | 2001:db8::5:10ec:0:0/96 | 2001:db8::5:10ec:ffff:ffff |
| 238 | 2001:db8::5:10ed:0:0/96 | 2001:db8::5:10ed:ffff:ffff |
| 239 | 2001:db8::5:10ee:0:0/96 | 2001:db8::5:10ee:ffff:ffff |
| 240 | 2001:db8::5:10ef:0:0/96 | 2001:db8::5:10ef:ffff:ffff |
| 241 | 2001:db8::5:10f0:0:0/96 | 2001:db8::5:10f0:ffff:ffff |
| 242 | 2001:db8::5:10f1:0:0/96 | 2001:db8::5:10f1:ffff:ffff |
| 243 | 2001:db8::5:10f2:0:0/96 | 2001:db8::5:10f2:ffff:ffff |
| 244 | 2001:db8::5:10f3:0:0/96 | 2001:db8::5:10f3:ffff:ffff |
| 245 | 2001:db8::5:10f4:0:0/96 | 2001:db8::5:10f4:ffff:ffff |
| 246 | 2001:db8::5:10f5:0:0/96 | 2001:db8::5:10f5:ffff:ffff |
| 247 | 2001:db8::5:10f6:0:0/96 | 2001:db8::5:10f6:ffff:ffff |
| 248 | 2001:db8::5:10f7:0:0/96 | 2001:db8::5:10f7:ffff:ffff |
| 249 | 2001:db8::5:10f8:0:0/96 | 2001:db8::5:10f8:ffff:ffff |
| 250 | 2001:db8::5:10f9:0:0/96 | 2001:db8::5:10f9:ffff:ffff |
| 251 | 2001:db8::5:10fa:0:0/96 | 2001:db8::5:10fa:ffff:ffff |
| 252 | 2001:db8::5:10fb:0:0/96 | 2001:db8::5:10fb:ffff:ffff |
| 253 | 2001:db8::5:10fc:0:0/96 | 2001:db8::5:10fc:ffff:ffff |
| 254 | 2001:db8::5:10fd:0:0/96 | 2001:db8::5:10fd:ffff:ffff |
| 255 | 2001:db8::5:10fe:0:0/96 | 2001:db8::5:10fe:ffff:ffff |
| 256 | 2001:db8::5:10ff:0:0/96 | 2001:db8::5:10ff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |